search cancel

warning: The OS version associated with this policy does not match the OS version of the device). after upgrade to 7.3.6.1

book

Article ID: 239820

calendar_today

Updated On:

Products

ProxySG Software - SGOS

Issue/Introduction

We have upgraded all proxy's to version 7.3.6.1. We can't do a policy install without the force installation button checked.
otherwise, we'll get the following warning: The OS version associated with this policy (SGOS 7.3.6.1 SWG Edition) does not match the OS version of the device (SGOS 7.3.6.1 Proxy Edition). Different OS versions could indicate different versions of the policy engine, which may affect policy evaluation. 

Environment

Release: 7.3.6.1

Resolution

The reported "The OS version associated with this policy (SGOS 7.3.6.1 SWG Edition) does not match the OS version of the device (SGOS 7.3.6.1 Proxy Edition)" message is an expected one, particularly if the affected policy areas triggering the reported message fall within the areas of expected behavioral change, with the SGOS upgrade done.

Note: Where there are implemented policy areas with expected behavioral change, with the SGOS upgrade, the option to force the policy install will be triggered, whenever a new policy rule is to be installed in the upgraded SGOS version. This is expected and this option should be taken. 

For guidance on the behavioral changes in SGOS 7.3.x.x, please refer to the Tech. doc. with the URL below.

https://techdocs.broadcom.com/us/en/symantec-security-software/web-and-network-security/proxysg/6-7/c-determine-upgrade-downgrade-path/c-behavior-changes/behavior_73.html